Subject: Re: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jul 2025 14:15:49 +0300

> Date: Tue, 22 Jul 2025 20:04:06 +0200
> From: Samuel Thibault <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked],
> 	[email-masked]
> 
> Eli Zaretskii, le mar. 22 juil. 2025 16:18:48 +0300, a ecrit:
> > > Eli Zaretskii, le mar. 22 juil. 2025 14:28:19 +0300, a ecrit:
> > > > > I have tried the attached test which reproduces both ways and reports
> > > > > the time to achieve one million iteration, on my system:
> > > > > 
> > > > > - with rxvt: non-optimized way takes ~1.9s, optimized way takes ~2.1s.
> > > > > - with mate-terminal: non-optimized way takes ~1.8s, optimized way takes
> > > > >   ~2.0s.
> > > > > 
> > > > > So on my system at least the "optimized" way is actually slower.
> > > > 
> > > > For that particular single case.
> > > 
> > > Which is exactly the case that we are reporting about.
> > 
> > No, it isn't.  Not even if only \t\b should be disabled.
> 
> ? I don't understand.
> 
> \t\b really is the only issue that we are having.

The actual use of this affects much more.  It affects any \t\t\t...\b
sequences (with multiple TABs), and it affects them in various places
in the line (thus different values of start and destination columns).
Perhaps also other cases (the code is quite convoluted, so I'm not
sure we understand all the implications of the proposed change).  A
benchmark should use some approximately-representative sample of these
situations.  A large C source file is a good test case.